TakenAt: 2023-09-03T16:46:36Z
TakenAtLocal: 2023-09-03T17:46:36Z
TakenSrc: meta
UID: pt67v3rwuitmz5zv
Type: image
Title: Portsmouth / United Kingdom / 2023
TimeZone: Europe/London
PlaceSrc: meta
Altitude: 9
Lat: 50.81106111111111
Lng: -1.0824
Year: 2023
Month: 9
Day: 3
ISO: 1600
Exposure: 1/26
FNumber: 2.8
FocalLength: 78
Quality: 4
Details:
  Keywords: brown, england, gladstone, place, portsmouth, stamshaw, united-kingdom
  Software: "16.6"
  SoftwareSrc: meta
CreatedAt: 2025-11-24T05:55:03Z
UpdatedAt: 2025-11-24T09:13:41Z
